# A ZX-Origins Font

Thank you for downloading one of the fonts in my ZX Origins collection.  You will see a number of files in this download for the various formats this font is supplied in.  They are as follows:

## Formats

### BDF (Glyph Bitmap Distribution Format)

Standard bitmap font format used by many Windows and Mac tools.  If you need to extend the character set out I would start here as it allows for large character sets etc and is still purely bitmap.

### CH8 (Character 8-Byte Format)

RAW binary format compatible with the ZX Spectrum.  You can load it into tools like BASIN or if you are using a Spectrum emulator that supports importing binary code you can read it straight in over the top of whatever font you are currently using.

### PSF (PC Screen Font)

Font file capable of being used by Linux as console fonts.

### PNG (Portable Network Graphic)

This file is supplied so you can get a quick preview of the font and the characters it includes.  Alternatively some tools allow you to import bitmaps as a tile map or texture atlas.  You'd probably be best using this for that.

### TTF (TrueType font)

A Windows, Mac and Linux friendly scalable version of the font.  It is very hard to preserve the original bitmap sharply across platforms in a TrueType container but I've done what I can.  This looks best at multiples of 8px on Windows.  Experiment with other sizes or metrics as you need depending on your OS.

### TAP (Spectrum tape)

You can load this tape into an emulator either by auto-loading for the built in demo program that will demonstrate the font as well as provide facilities to load the next font on the tape, try alternative colors etc.

### FZX (FZX Proportional renderer)

An FZX copy of the font made proportional with height, space and leading tweaks for optimal rendering. Visit https://github.com/z88dk/z88dk/tree/master/libsrc/_DEVELOPMENT/font/fzx for more information.

## Further conversion

If you wish to convert this font to other formats the BDF is a good starting point.  Alternatively check out John Elliot's PSFTOOLS which can turn the .psf file included into BBC, Wyse, C code, FNT and others formats.  I may include additional formats in future updates of ZX Origins.

## Thanks

My sincere thanks to:

- John Elliot for his amazing [psftools](https://www.seasip.info/Unix/PSF/) which helped streamline the process.
- [Paul van der Laan](http://type-invaders.com) for lending his expertise and research into how to make 8x8 bitmap fonts perfect in FontLab Studio 5.
- Paul Dunn for the BASIN editor that is my 8x8 bitmap font designer of choice.

## Licence

This font is part of the ZX Origins font collection Copyright (c) 1988-2016 Damien Guard.

Formal licenses are complicated and burdensome so here's the deal.  These are some acceptable use examples:

1. Use it in your game (commerical or non-commercial)
2. Print something on a t-shirt
3. Use the embedded font file on your site
4. Set your favorite terminal or OS to use it

Ideally with a credit like "<fontname> font by DamienG https://damieng.com/zx-origins" *if* you have a credits section.  If you don't that's fine.  Either way dropping me an email at damieng@gmail.com to let me know what you used it for is appreciated.

The only unacceptable use is redistributing this font as a font.  i.e. re-hosting the files on your own site or bundling it with other art assets.  I have put a lot of time into these and my only reward is seeing download counts on my site which is ad-free so it seems unfair other people would rehost these files on their site and make $ from Google Adwords etc.

If you need to modify the font for your usage - either to add characters (this collection is pure ASCII + copyright + pound sign right now) or if a few are bothering you just change the credit to "Font based on <fontname> by Damieng" or something.

Thanks and enjoy!

[)amien

https://damieng.com/zx-origins/